/* -------------------------------------------------------------------------------------------------------------------------
* Project           :C-to-FPGA Solution for Acclerating Tomographic Reconstruction
* File Name         :fft.h (from project UW Emission Reconstruction) 
*                    Copyright (c) 2004 University of Washington - Imaging Research Laboratory. All rights reserved.
* Version           :1.0 (V1)
* (V1)Author        :Adam Alessio
* (V1)Created       :Wed, Jan 14 2004
* References        :
* Description       :Header info for fft.c
*
******This file may not be distributed or modified without this header*****
*-------------------------------------------------------------------------------------------------------------------------*/


#ifndef FFT_H
#define FFT_H

void convlv(double *data,int n,double *respns,double *ans);
void twofft(double *data1,double *data2,double *fft1,double *fft2,int n);
void realft(double *data,int n,int isign);
void four1(double *data,int nn,int isign);


#endif
