/* -------------------------------------------------------------------------------------------------------------------------
* Project           :C-to-FPGA Solution for Acclerating Tomographic Reconstruction
* File Name         :mem_param.h 
*                    Copyright (c) 2004 University of Washington - Imaging Research Laboratory. All rights reserved.
* Version           :1.0 (V1)
* (V1)Author        :Nikhil Subramanian
* (V1)Created       :Wed, Jan 14 2009
* References        :
* Description       :Defines constants used in back_project_hw.c
*
******This file may not be distributed or modified without this header*****
*-------------------------------------------------------------------------------------------------------------------------*/



#define ONE 16384           //1 in 1s1.14
#define SINO_SIZE 1024
#define IMG_SIZE 512
#define IMG_OFFSET 524288   //SINO_SIZE*SINO_SIZE*2
#define MEM_SIZE 4194304    //4 MB 
#define BLK_SIZE 64         //IMG_SIZE/8;
#define IM_MEM_SIZE 32768   //IMG_SIZE*BLK_SIZE
#define BLK_OFFSET 65536    //BLK_SIZE*IMG_SIZE*2

